package org.wfc.system.service;

import org.wfc.common.core.web.page.TableDataInfo;
import org.wfc.omada.api.sitesetting.model.CreateSsidOpenApiVo;
import org.wfc.omada.api.sitesetting.model.SsidDetailOpenApiVo;
import org.wfc.omada.api.sitesetting.model.UpdateSsidBasicConfigOpenApiVo;
import org.wfc.omada.api.sitesetting.model.WlanGroupOpenApiVo;
import org.wfc.omada.api.sitesetting.model.WlanSimpleOpenApiVo;

import java.util.List;

/**
 * @description: wireless network service
 * @author: cyc
 * @since: 2025-02-15
 */
public interface ISysWlanService {

    List<WlanGroupOpenApiVo> getWlanGroupList(String siteId);

    TableDataInfo getSsidList(String siteId, String wlanId, Integer pageNum, Integer pageSize);

    boolean createSsid(String siteId, String wlanId, CreateSsidOpenApiVo createSsidOpenApiVo);

    boolean updateSsidBasicConfig(String siteId, String wlanId, String ssidId, UpdateSsidBasicConfigOpenApiVo updateSsidBasicConfigOpenApiVo);

    boolean deleteSsid(String siteId, String wlanId, String ssidId);

    SsidDetailOpenApiVo getSsidDetail(String siteId, String wlanId, String ssidId);

    List<WlanSimpleOpenApiVo> getMacAuthSsids(String siteId);
}
